Zum Inhalt

Create itemReference

Create a itemReference object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/itemReferencesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of itemReferenceWebCon object.

Response

If successful, this method returns 201 Created response code and a item Vendors object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/itemReferencesWebCon
Content-type: application/json

{
    "itemNo": "10000",
    "variantCode": "",
    "unitOfMeasure": "STÜCK",
    "referenceType": "Bar Code",
    "referenceTypeNo": "",
    "referenceNo": "B10000",
    "description": "",
    "description2": ""
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "itemNo": "10000",
    "variantCode": "",
    "unitOfMeasure": "STÜCK",
    "referenceType": "Bar Code",
    "referenceTypeNo": "",
    "referenceNo": "B10000",
    "description": "",
    "description2": ""
}

See also

Tips for working with the APIs
itemReference
Get itemReference
Delete itemReference
Update itemReference